
#include <services/services.h>
#include <drivers/adi_dev.h>
#include <drivers/ppi/adi_ppi.h>

#include "../Buffer.h"
#define Frame_Size 1716 * L3NUMROWS

// Define the DMA buffers for each frame.
// Because of SDRAM performance, each frame must be in a different bank.
// The placement in different banks is obtained through RESOLVE() statements in the LDF.
char sFrame0IN[Frame_Size];
char sFrame1IN[Frame_Size];
char sFrame2IN[Frame_Size];
char sFrame3IN[Frame_Size];
char sFrameRef[Frame_Size];

char sFrame0OUT[Frame_Size];
char sFrame1OUT[Frame_Size];
char sFrame2OUT[Frame_Size];
char sFrame3OUT[Frame_Size];
